package com.bocloud.cmp.model;

import java.util.List;

/**
 * 金山云同步类
 *
 * @author ymh
 * @时间 2019年9月17日
 */
public class KingCloudSyncModel {
    private List<ServerModel> serverModels;
    private List<ImageModel> imageModels;
    private List<FlavorModel> flavorModels;
    private List<VolumeModel> volumeModels;
    private List<RegionModel> regionModels;
    private List<ZoneModel> zoneModels;
    private List<VpcModel> vpcModels;
    private List<SecurityGroupModel> securityGroupModels;
    private List<KeypairModel> keypairModels;

    public List<ServerModel> getServerModels() {
        return serverModels;
    }

    public void setServerModels(List<ServerModel> serverModels) {
        this.serverModels = serverModels;
    }

    public List<ImageModel> getImageModels() {
        return imageModels;
    }

    public void setImageModels(List<ImageModel> imageModels) {
        this.imageModels = imageModels;
    }

    public List<FlavorModel> getFlavorModels() {
        return flavorModels;
    }

    public void setFlavorModels(List<FlavorModel> flavorModels) {
        this.flavorModels = flavorModels;
    }

    public List<VolumeModel> getVolumeModels() {
        return volumeModels;
    }

    public void setVolumeModels(List<VolumeModel> volumeModels) {
        this.volumeModels = volumeModels;
    }

    public List<RegionModel> getRegionModels() {
        return regionModels;
    }

    public void setRegionModels(List<RegionModel> regionModels) {
        this.regionModels = regionModels;
    }

    public List<ZoneModel> getZoneModels() {
        return zoneModels;
    }

    public void setZoneModels(List<ZoneModel> zoneModels) {
        this.zoneModels = zoneModels;
    }

    public List<VpcModel> getVpcModels() {
        return vpcModels;
    }

    public void setVpcModels(List<VpcModel> vpcModels) {
        this.vpcModels = vpcModels;
    }

    public List<SecurityGroupModel> getSecurityGroupModels() {
        return securityGroupModels;
    }

    public void setSecurityGroupModels(List<SecurityGroupModel> securityGroupModels) {
        this.securityGroupModels = securityGroupModels;
    }

    public List<KeypairModel> getKeypairModels() {
        return keypairModels;
    }

    public void setKeypairModels(List<KeypairModel> keypairModels) {
        this.keypairModels = keypairModels;
    }
}
